Bug 805274 - <tab> completion performance regression
<tab> completion performance regression
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 14:50 EDT by Jan Kratochvil
Modified: 2012-04-11 23:38 EDT (History)
5 users (show)

See Also:
Fixed In Version: gdb-7.4.50.20120120-35.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 23:38:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2012-03-20 14:50:59 EDT
ajax: load a vm with f17 in it, debuginfo-install mesa, gdb glxinfo, break driCreateConfigs, run, select 1, p pf_r5<tab>
ajax: gdb-7.4.50.20120120-31.fc17.x86_64
ajax: in gdb-7.3.50.20110722-9.fc16, that tab-completes in like 3 seconds
ajax: in 7.4-blah it's minutes on end.
Comment 1 Jan Kratochvil 2012-03-30 17:35:22 EDT
Space used: 34729984 (+34729984 during startup)
(gdb) Command execution time: 59.908893 (cpu), 60.423453 (wall)
Space used: 2600800256 (+2566070272 for this command)

61d8161b33b1e7dbc80ba6f7a92500a1594da55c is the first bad (=good) commit
commit 61d8161b33b1e7dbc80ba6f7a92500a1594da55c
Author: Tom Tromey <tromey@redhat.com>
Date:   Mon Feb 20 19:24:34 2012 +0000

    	* dwarf2read.c (dw2_map_symtabs_matching_filename): Remove
    	extraneous block.
Comment 2 Fedora Update System 2012-03-30 18:10:32 EDT
gdb-7.4.50.20120120-35.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gdb-7.4.50.20120120-35.fc17
Comment 3 Fedora Update System 2012-03-31 14:47:36 EDT
Package gdb-7.4.50.20120120-35.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gdb-7.4.50.20120120-35.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5112/gdb-7.4.50.20120120-35.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-04-11 23:38:27 EDT
gdb-7.4.50.20120120-35.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.